<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_231) on Fri Dec 06 14:58:24 GMT 2019 -->
<title>Property</title>
<meta name="date" content="2019-12-06">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Property";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Property.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../board/Jail.html" title="class in board"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../board/PurchaseableSquare.html" title="class in board"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?board/Property.html" target="_top">Frames</a></li>
<li><a href="Property.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">board</div>
<h2 title="Class Property" class="title">Class Property</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../board/Square.html" title="class in board">board.Square</a></li>
<li>
<ul class="inheritance">
<li><a href="../board/PurchaseableSquare.html" title="class in board">board.PurchaseableSquare</a></li>
<li>
<ul class="inheritance">
<li>board.Property</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">Property</span>
extends <a href="../board/PurchaseableSquare.html" title="class in board">PurchaseableSquare</a></pre>
<div class="block">Monopoly Property</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../board/Property.html#Property-java.lang.String-int-board.Colour-int-int-int-int-int-int-int-int-int-">Property</a></span>(java.lang.String&nbsp;name,
        int&nbsp;pos,
        <a href="../board/Colour.html" title="enum in board">Colour</a>&nbsp;colour,
        int&nbsp;price,
        int&nbsp;housePrice,
        int&nbsp;rent0,
        int&nbsp;rent1,
        int&nbsp;rent2,
        int&nbsp;rent3,
        int&nbsp;rent4,
        int&nbsp;rent5,
        int&nbsp;mortgage)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../board/Property.html#buildHotel--">buildHotel</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../board/Property.html#buildHouse--">buildHouse</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../board/Property.html#checkSetOwned-java.util.ArrayList-">checkSetOwned</a></span>(java.util.ArrayList&lt;<a href="../board/Property.html" title="class in board">Property</a>&gt;&nbsp;Set)</code>
<div class="block">Checks how many properties you own (and subtracts the ones that are mortgaged)</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../board/Property.html#checkWholeSetOwned-java.util.ArrayList-int-">checkWholeSetOwned</a></span>(java.util.ArrayList&lt;<a href="../board/Property.html" title="class in board">Property</a>&gt;&nbsp;Set,
                  int&nbsp;numberOwned)</code>
<div class="block">Returns true if the player also owns the other properties in the set
 *Test this*</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../board/Colour.html" title="enum in board">Colour</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../board/Property.html#getColour--">getColour</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../board/Property.html#getHotels--">getHotels</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../board/Property.html#getHousePrice--">getHousePrice</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../board/Property.html#getHouses--">getHouses</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../board/Property.html#getRent-int-">getRent</a></span>(int&nbsp;index)</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../board/Property.html#sellHotel--">sellHotel</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../board/Property.html#sellHouse--">sellHouse</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../board/Property.html#setColour-board.Colour-">setColour</a></span>(<a href="../board/Colour.html" title="enum in board">Colour</a>&nbsp;colour)</code>&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../board/Property.html#setHotels-int-">setHotels</a></span>(int&nbsp;hotels)</code>&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../board/Property.html#setHouses-int-">setHouses</a></span>(int&nbsp;houses)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.board.PurchaseableSquare">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;board.<a href="../board/PurchaseableSquare.html" title="class in board">PurchaseableSquare</a></h3>
<code><a href="../board/PurchaseableSquare.html#getMortgage--">getMortgage</a>, <a href="../board/PurchaseableSquare.html#getOwner--">getOwner</a>, <a href="../board/PurchaseableSquare.html#getPrice--">getPrice</a>, <a href="../board/PurchaseableSquare.html#isMortaged--">isMortaged</a>, <a href="../board/PurchaseableSquare.html#isMortgaged--">isMortgaged</a>, <a href="../board/PurchaseableSquare.html#isOwned--">isOwned</a>, <a href="../board/PurchaseableSquare.html#setMortaged-boolean-">setMortaged</a>, <a href="../board/PurchaseableSquare.html#setOwner-player.Player-">setOwner</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.board.Square">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;board.<a href="../board/Square.html" title="class in board">Square</a></h3>
<code><a href="../board/Square.html#getName--">getName</a>, <a href="../board/Square.html#getPosition--">getPosition</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Property-java.lang.String-int-board.Colour-int-int-int-int-int-int-int-int-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Property</h4>
<pre>public&nbsp;Property(java.lang.String&nbsp;name,
                int&nbsp;pos,
                <a href="../board/Colour.html" title="enum in board">Colour</a>&nbsp;colour,
                int&nbsp;price,
                int&nbsp;housePrice,
                int&nbsp;rent0,
                int&nbsp;rent1,
                int&nbsp;rent2,
                int&nbsp;rent3,
                int&nbsp;rent4,
                int&nbsp;rent5,
                int&nbsp;mortgage)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="buildHouse--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>buildHouse</h4>
<pre>public&nbsp;void&nbsp;buildHouse()</pre>
</li>
</ul>
<a name="buildHotel--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>buildHotel</h4>
<pre>public&nbsp;void&nbsp;buildHotel()</pre>
</li>
</ul>
<a name="sellHouse--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>sellHouse</h4>
<pre>public&nbsp;void&nbsp;sellHouse()</pre>
</li>
</ul>
<a name="sellHotel--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>sellHotel</h4>
<pre>public&nbsp;void&nbsp;sellHotel()</pre>
</li>
</ul>
<a name="checkSetOwned-java.util.ArrayList-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>checkSetOwned</h4>
<pre>public&nbsp;int&nbsp;checkSetOwned(java.util.ArrayList&lt;<a href="../board/Property.html" title="class in board">Property</a>&gt;&nbsp;Set)</pre>
<div class="block">Checks how many properties you own (and subtracts the ones that are mortgaged)</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>Set</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="checkWholeSetOwned-java.util.ArrayList-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>checkWholeSetOwned</h4>
<pre>public&nbsp;boolean&nbsp;checkWholeSetOwned(java.util.ArrayList&lt;<a href="../board/Property.html" title="class in board">Property</a>&gt;&nbsp;Set,
                                  int&nbsp;numberOwned)</pre>
<div class="block">Returns true if the player also owns the other properties in the set
 *Test this*</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>Set</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="getHousePrice--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getHousePrice</h4>
<pre>public&nbsp;int&nbsp;getHousePrice()</pre>
</li>
</ul>
<a name="getRent-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRent</h4>
<pre>public&nbsp;int&nbsp;getRent(int&nbsp;index)</pre>
</li>
</ul>
<a name="getHouses--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getHouses</h4>
<pre>public&nbsp;int&nbsp;getHouses()</pre>
</li>
</ul>
<a name="setHouses-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setHouses</h4>
<pre>public&nbsp;void&nbsp;setHouses(int&nbsp;houses)</pre>
</li>
</ul>
<a name="getHotels--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getHotels</h4>
<pre>public&nbsp;int&nbsp;getHotels()</pre>
</li>
</ul>
<a name="getColour--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getColour</h4>
<pre>public&nbsp;<a href="../board/Colour.html" title="enum in board">Colour</a>&nbsp;getColour()</pre>
</li>
</ul>
<a name="setColour-board.Colour-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setColour</h4>
<pre>public&nbsp;void&nbsp;setColour(<a href="../board/Colour.html" title="enum in board">Colour</a>&nbsp;colour)</pre>
</li>
</ul>
<a name="setHotels-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setHotels</h4>
<pre>public&nbsp;void&nbsp;setHotels(int&nbsp;hotels)</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Property.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../board/Jail.html" title="class in board"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../board/PurchaseableSquare.html" title="class in board"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?board/Property.html" target="_top">Frames</a></li>
<li><a href="Property.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
